Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.unitedmarket.ai/markets/{id}/orders/cancel \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "orderHash": "0xORDER_HASH" } '
const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({orderHash: '0xORDER_HASH'}) }; fetch('https://api.unitedmarket.ai/markets/{id}/orders/cancel', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.unitedmarket.ai/markets/{id}/orders/cancel" payload = { "orderHash": "0xORDER_HASH" } headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.text)
{}
Cancels one order by order hash. Requires SIWE bearer auth and order ownership.
SIWE access token returned by POST /auth/verify.
Market id.
"0xORDER_HASH"
Order cancelled.
The response is of type object.
object